Subject: [i2rs] i2rs-ephemeral-ds: doesn't include config true nodes ?

From: "Sterne, Jason (Nokia - CA/Ottawa)" <[email-masked]>
Date: Tue, 14 Nov 2017 15:31:10 +0000

Hi Sue,

I noticed that you mention the following in section 5 of the draft:

     3. YANG statements : config false + ephemeral true

Is it your intention that the ds-ephemeral does not allow access to the 'config true' leafs of whatever data models are supported in the ds-ephemeral ?

I see many rw leafs in draft-ietf-i2rs-rib-data-model and I don't see any sort of 'ephemeral' extension markings on any leafs.

I also noted this statement:

    2. YANG modules    : all (default)

That is surprising to me.  Aren't you planning to only have a certain fixed set of YANG modules that are standardized to be used in the I2RS ds-ephemeral ?

Rgds,
Jason

> -----Original Message-----
> From: i2rs [mailto:[email-masked]] On Behalf Of Susan Hares
> Sent: Sunday, November 12, 2017 5:03 PM
> To: [email-masked]
> Cc: 'Russ White' <[email-masked]>; 'Alia Atlas' <[email-masked]>
> Subject: [i2rs] FW: New Version Notification for draft-hares-i2rs-ephemeral-
> ds-00.txt
> 
> I2RS WG:
> 
> This short draft provides a definition of a yang model for the I2RS ephemeral
> datastore.
> 
> A majority of this draft comes from the excellent work in the example of an
> ephemeral datastore in draft-ietf-netmod-revised-datastores Appendix B.
> This appendix was written with I2RS ephemeral state in mind.    This will be
> discussed in I2RS today at 15:50-17:50.
> 
> 
> Sue Hares
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Sunday, November 12, 2017 4:50 PM
> To: Alexander Clemm; Alex Clemm; Susan Hares
> Subject: New Version Notification for draft-hares-i2rs-ephemeral-ds-00.txt
> 
> 
> A new version of I-D, draft-hares-i2rs-ephemeral-ds-00.txt
> has been successfully submitted by Susan Hares and posted to the IETF
> repository.
> 
> Name:		draft-hares-i2rs-ephemeral-ds
> Revision:	00
> Title:		I2RS Ephemeral Datastore
> Document date:	2017-11-12
> Group:		Individual Submission
> Pages:		8
> URL:            https://www.ietf.org/internet-drafts/draft-hares-i2rs-ephemeral-
> ds-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-hares-i2rs-ephemeral-ds/
> Htmlized:       https://tools.ietf.org/html/draft-hares-i2rs-ephemeral-ds-00
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-hares-i2rs-
> ephemeral-ds-00
> 
> 
> Abstract:
>    This document the Yang module for the I2RS ephemeral datastore.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 
> 
> _______________________________________________
> i2rs mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i2rs